Page 1 of 1

Problem with upgrade(solved)

Posted: Thu Jul 14, 2011 8:30 pm
by DougE
I uploaded all the update files and the install folder to my root.

When I run: http://www.rollyourownresource.com/foru ... update.php

I get the following error: Warning: require(./../includes/startup.php) [function.require]: failed to open stream: No such file or directory in /hermes/web01/b2558/moo.rollyourownresourcec/forums/install/database_update.php on line 52

Fatal error: require() [function.require]: Failed opening required './../includes/startup.php' (include_path='.:/usr/local/lib/php-5.2.17/lib/php') in /hermes/web01/b2558/moo.rollyourownresourcec/forums/install/database_update.php on line 52

Re: Problem with upgrade

Posted: Thu Jul 14, 2011 8:32 pm
by KevC
Download a full version of 3.0.9 and make sure you upload the includes/startup.php file.
It's a new file in this version and it looks like it hasn't recognised that you need it.

Re: Problem with upgrade

Posted: Thu Jul 14, 2011 8:39 pm
by DougE
Kevin Clark wrote:Download a full version of 3.0.9 and make sure you upload the includes/startup.php file.
It's a new file in this version and it looks like it hasn't recognised that you need it.
ok. I have that downloaded also. I need to upload all but the config.php file, correct?

Re: Problem with upgrade

Posted: Thu Jul 14, 2011 8:50 pm
by KevC
No, upload the includes/startup.php file.

If you have no MODs you can do the full file change you're thinking of.

Re: Problem with upgrade

Posted: Thu Jul 14, 2011 9:05 pm
by DougE
Kevin Clark wrote:No, upload the includes/startup.php file.

If you have no MODs you can do the full file change you're thinking of.
I have no mods and uploaded the full version minus the config.php file.

Still getting the same error.

Warning: require(./../includes/startup.php) [function.require]: failed to open stream: No such file or directory in /hermes/web01/b2558/moo.rollyourownresourcec/forums/install/database_update.php on line 52

Fatal error: require() [function.require]: Failed opening required './../includes/startup.php' (include_path='.:/usr/local/lib/php-5.2.17/lib/php') in /hermes/web01/b2558/moo.rollyourownresourcec/forums/install/database_update.php on line 52

Re: Problem with upgrade

Posted: Thu Jul 14, 2011 9:10 pm
by KevC
/includes/startup.php is not on the server.

Re: Problem with upgrade

Posted: Thu Jul 14, 2011 9:12 pm
by DougE
Kevin Clark wrote:/includes/startup.php is not on the server.
It is there according to my filemanager on the server.

Re: Problem with upgrade

Posted: Thu Jul 14, 2011 9:16 pm
by KevC
Oh don't use filemanager. That's rubbish.

Get a proper FTP application like filezilla. That'll do it properly.

If you navigate to that exact address it should show you a white page. It actally says 404 not found and the error message you're seeing says the same too.
includes/startup.php) [function.require]: failed to open stream: No such file or directory

Re: Problem with upgrade

Posted: Thu Jul 14, 2011 9:18 pm
by DougE
I used filezilla for the upload. All the files are there on the server.

Re: Problem with upgrade

Posted: Thu Jul 14, 2011 9:19 pm
by KevC
PM me your FTP info, I'll have a look too.

Re: Problem with upgrade

Posted: Thu Jul 14, 2011 9:27 pm
by DougE
Done. And thanks a lot for helping me out here.

Re: Problem with upgrade

Posted: Thu Jul 14, 2011 9:41 pm
by DougE
Thanks for all the help, Kevin. Everything is looking good now. :D

Re: Problem with upgrade(solved)

Posted: Sun Feb 19, 2012 3:47 pm
by kateland
How was this solved? I'm having this trouble after using the update package to 3.0.10

Re: Problem with upgrade(solved)

Posted: Sun Feb 19, 2012 3:52 pm
by KevC
kateland wrote:How was this solved? I'm having this trouble after using the update package to 3.0.10
Please start a new topic with your exact problem and fill out the Support Request Template Generator too.

Re: Problem with upgrade(solved)

Posted: Sun Feb 19, 2012 4:00 pm
by kateland
Thanks Kevin...my problem was that my install/index overwrote my root/index. I uploaded from a backup and was able to preserve my mods and such.